> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive a schedule

> Archive a Forward Schedule.

`POST /api/v1/forward/schedules/{schedule_id}/archive`

Archives a Schedule without deleting historical Schedule Runs. Archived schedules are not triggered and cannot be updated, paused, unpaused, or manually run.

## Headers

| Header            | Required | Description                                   |
| ----------------- | -------- | --------------------------------------------- |
| `Authorization`   | Yes      | `Bearer <PAT>`                                |
| `Idempotency-Key` | No       | Optional idempotency key for unsafe requests. |

## Path parameters

| Parameter     | Type   | Required | Description          |
| ------------- | ------ | -------- | -------------------- |
| `schedule_id` | string | Yes      | Forward Schedule ID. |

## Example request

```bash theme={null}
curl -s -X POST 'https://api.qoder.com/api/v1/forward/schedules/sched_019f00112233445566778899aabbccdd/archive' \
  -H "Authorization: Bearer $QODER_PAT"
```

## Example response

**HTTP 200 OK**

```json theme={null}
{
  "id": "sched_019f00112233445566778899aabbccdd",
  "identity_id": "idn_019eabc123",
  "template_id": "tmpl_support",
  "name": "Daily tech brief",
  "status": "active",
  "archived_at": "2026-06-22T12:00:00Z",
  "created_at": "2026-06-22T10:00:00Z",
  "updated_at": "2026-06-22T12:00:00Z"
}
```

## Response fields

Returns the archived Schedule object with `archived_at` set.

## Errors

| HTTP | Type                    | Code                      | Trigger                       |
| ---- | ----------------------- | ------------------------- | ----------------------------- |
| 401  | `authentication_error`  | `authentication_required` | PAT invalid or expired.       |
| 404  | `not_found_error`       | `schedule_not_found`      | Schedule does not exist.      |
| 409  | `invalid_request_error` | `schedule_archived`       | Schedule is already archived. |

## Notes

* Archive is a lifecycle terminal state for the Schedule.
* Schedule Runs remain queryable after the Schedule is archived.

## Related

<CardGroup cols={2}>
  <Card title="List schedules" icon="list" href="/cloud-agents/api/forward/schedules/list" />

  <Card title="List schedule runs" icon="history" href="/cloud-agents/api/forward/schedule-runs/list" />
</CardGroup>
